| Home | Libraries | People | FAQ | More

## Struct allocator_arg_t

boost::container::allocator_arg_t

## Synopsis

    // In header: <boost/container/scoped_allocator_fwd.hpp>

    struct allocator_arg_t {
    };

## Description

The allocator_arg_t struct is an empty structure type used as a unique type to disambiguate constructor and function overloading. Specifically, several types have constructors with allocator_arg_t as the first argument, immediately followed by an argument of a type that satisfies the Allocator requirements